libzypp: zypp::parser::susetags::ContentFileReader Class Reference

libzypp 17.38.9

zypp::parser::susetags::ContentFileReader Class Reference

Parse repoindex part from a `content` file. More...

`#include <zypp/parser/susetags/ContentFileReader.h>`

Inheritance diagram for zypp::parser::susetags::ContentFileReader:

## Classes
struct | Impl
| ContentFileReader implementation. More...

## Public Types
using | RepoIndexConsumer = function<void (const RepoIndex_Ptr &)>

## Public Member Functions
| ContentFileReader ()
| Default ctor.
virtual | ~ContentFileReader ()
| Dtor.
virtual void | parse (const InputStream &imput_r, const ProgressData::ReceiverFnc &fnc_r=ProgressData::ReceiverFnc())
| Parse the stream.
void | setRepoIndexConsumer (const RepoIndexConsumer &fnc_r)
| Consumer to call when repo index was parsed.

## Protected Member Functions
virtual void | beginParse ()
| Called when start parsing.
virtual void | endParse ()
| Called when the parse is done.
virtual void | userRequestedAbort (unsigned lineNo_r)
| Called when user(callback) request to abort.
std::string | errPrefix (unsigned lineNo_r, const std::string &msg_r=std::string(), const std::string &line_r="-") const
| Prefix exception message with line information.

## Private Attributes
RW_pointer< Impl, rw_pointer::Scoped< Impl > > | _pimpl
RepoIndexConsumer | _repoIndexConsumer

## Detailed Description

Parse repoindex part from a `content` file.

This is all the downloader needs.

Definition at line 45 of file ContentFileReader.h.

## Member Typedef Documentation

## ◆ RepoIndexConsumer

using zypp::parser::susetags::ContentFileReader::RepoIndexConsumer = function<void (const RepoIndex_Ptr &)>

Definition at line 48 of file ContentFileReader.h.

## Constructor & Destructor Documentation

## ◆ ContentFileReader()

zypp::parser::susetags::ContentFileReader::ContentFileReader | ( |  | ) |

Default ctor.

Definition at line 102 of file ContentFileReader.cc.

## ◆ ~ContentFileReader()

zypp::parser::susetags::ContentFileReader::~ContentFileReader | ( |  | ) |
| virtual

Dtor.

Definition at line 110 of file ContentFileReader.cc.

## Member Function Documentation

## ◆ parse()

void zypp::parser::susetags::ContentFileReader::parse | ( | const InputStream & | imput_r,
|  | const ProgressData::ReceiverFnc & | fnc_r = ProgressData::ReceiverFnc() )
| virtual

Parse the stream.

Exceptions

  ParseException | on errors.
  AbortRequestException | on user request. Invokes consume for each tag. consume might throw other exceptions as well.

Definition at line 175 of file ContentFileReader.cc.

## ◆ setRepoIndexConsumer()

void zypp::parser::susetags::ContentFileReader::setRepoIndexConsumer | ( | const RepoIndexConsumer & | fnc_r | ) |
| inline

Consumer to call when repo index was parsed.

Definition at line 66 of file ContentFileReader.h.

## ◆ beginParse()

void zypp::parser::susetags::ContentFileReader::beginParse | ( |  | ) |
| protectedvirtual

Called when start parsing.

Definition at line 118 of file ContentFileReader.cc.

## ◆ endParse()

void zypp::parser::susetags::ContentFileReader::endParse | ( |  | ) |
| protectedvirtual

Called when the parse is done.

Definition at line 131 of file ContentFileReader.cc.

## ◆ userRequestedAbort()

void zypp::parser::susetags::ContentFileReader::userRequestedAbort | ( | unsigned | lineNo_r | ) |
| protectedvirtual

Called when user(callback) request to abort.

Exceptions

  AbortRequestException | unless overloaded.

Definition at line 149 of file ContentFileReader.cc.

## ◆ errPrefix()

std::string zypp::parser::susetags::ContentFileReader::errPrefix | ( | unsigned | lineNo_r,
|  | const std::string & | msg_r = std::string(),
|  | const std::string & | line_r = "-" ) const
| protected

Prefix exception message with line information.

Definition at line 159 of file ContentFileReader.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl,rw_pointer::Scoped<Impl> > zypp::parser::susetags::ContentFileReader::_pimpl
| private

Definition at line 89 of file ContentFileReader.h.

## ◆ _repoIndexConsumer

RepoIndexConsumer zypp::parser::susetags::ContentFileReader::_repoIndexConsumer
| private

Definition at line 90 of file ContentFileReader.h.

The documentation for this class was generated from the following files:

- zypp/parser/susetags/ContentFileReader.h
- zypp/parser/susetags/ContentFileReader.cc